import { Injectable } from '@angular/core';
import { Observable, ReplaySubject } from 'rxjs';
import { NgxHttpLoaderInterceptor } from './ngx-loader-interceptor.service';

@Injectable({
  providedIn: 'root'
})
export class NgxHttpLoaderService {
  private showLoader = new ReplaySubject<boolean>(1);

  constructor(private reqService: NgxHttpLoaderInterceptor) { }

  get isShowLoader(): Observable<boolean> {
    return this.showLoader.asObservable();
  }

  public show(): void {
    this.reqService.setForceStopReq = true;
    this.showLoader.next(true);
  }

  public hide(): void {
    this.showLoader.next(false);
    this.reqService.setForceStopReq = false;
  }
}
